%global momorel 2
%global qtver 4.4.3
%global kdever 4.2.2
%global kdelibsrel 1m

Summary: KMediaFactory is DVD authoring tool for KDE
Name: kmediafactory
Version: 0.7.2
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://code.google.com/p/kmediafactory/
Group: Applications/Multimedia
Source0: http://kmediafactory.googlecode.com/files/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: dvdauthor
Requires: ffmpeg
Requires: k3b
Requires: kaffeine
Requires: mjpegtools
Requires: mplayer
Requires: zip
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: cmake
BuildPreReq: desktop-file-utils
BuildPreReq: dvdauthor
BuildPreReq: ffmpeg-devel
BuildPreReq: fontconfig-devel
BuildPreReq: gettext
BuildPreReq: ghostscript-devel 
BuildPreReq: k3b
BuildPreReq: kaffeine
BuildPreReq: libdvdread-devel
BuildPreReq: mjpegtools-devel
BuildPreReq: mplayer
BuildPreReq: openoffice.org-devel
BuildPreReq: shared-mime-info
BuildPreReq: xine-lib
BuildPreReq: zip

%description
KMediaFactory is easy to use template based dvd authoring tool.
You can quickly create DVD menus for home videos and TV recordings in three simple steps.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/oxygen/48x48/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde4 \
  --remove-category Application \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README TODO
%{_kde4_bindir}/%{name}
%{_kde4_includedir}/%{name}
%{_kde4_libdir}/kde4/plugins/designer/kmfwidgets.so
%{_kde4_libdir}/kde4/%{name}_*.so
%{_kde4_libdir}/lib%{name}interfaces.so*
%{_kde4_libdir}/lib%{name}kstore.so*
%{_kde4_libdir}/libkmf.so*
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_appsdir}/%{name}
%{_kde4_appsdir}/%{name}_template
%{_kde4_appsdir}/kmfwidgets
%{_kde4_configdir}/%{name}.knsrc
%{_kde4_configdir}/%{name}_template.knsrc
%{_kde4_datadir}/config.kcfg/%{name}.kcfg
%{_kde4_datadir}/config.kcfg/slideshowplugin.kcfg
%{_kde4_datadir}/config.kcfg/templateplugin.kcfg
%{_kde4_datadir}/config.kcfg/videoplugin.kcfg
%{_kde4_docdir}/HTML/en/%{name}
%{_kde4_iconsdir}/oxygen/*/*/*%{name}*.png
%{_kde4_iconsdir}/oxygen/*/*/*%{name}*.svgz
%{_kde4_datadir}/kde4/services/%{name}_*.desktop
%{_kde4_datadir}/kde4/servicetypes/%{name}plugin.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}*.mo
%{_datadir}/locale/*/LC_MESSAGES/libkmf.mo
%{_kde4_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun May  3 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.2-2m)
- fix up desktop-file-install section

* Fri May  1 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.2-1m)
- initial package for DVD freaks using Momonga Linux
